Package: mcu8051ide / 1.4.7-2

use-signal-not-tclx.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
Description: Use signal package instead of tclx
 Since tclx package is deprecated the tcl-signal package was used as
 a replacement.
Author: Andrew Shadura <bugzilla@tut.by>
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/lib/main.tcl
+++ b/lib/main.tcl
@@ -79,7 +79,7 @@
 	{Tk		8.5}
 	{img::png	1.3}
 	{tdom		0.8}
-	{Tclx		8.0}
+	{Signal		1.4}
 	{Tcl		8.2}
 }
 
@@ -192,9 +192,9 @@
 		}
 
 	# Tclx workarond for Debian
-	} elseif {$library == {Tclx}} {
+	} elseif {$library == {Signal}} {
 		set ::TCLX_AVAILABLE 0
-		puts stderr "\nERROR: Unable to load Tclx library, functionality will be limited"
+		puts stderr "\nERROR: Unable to load Signal library, functionality will be limited"
 		return
 	}
 
@@ -759,8 +759,8 @@
 		exit 1
 	}
 
-	signal trap SIGINT	{signal_handler SIGINT}
-	signal trap SIGTERM	{signal_handler SIGTERM}
+	signal add SIGINT	{signal_handler SIGINT}
+	signal add SIGTERM	{signal_handler SIGTERM}
 }